Add API for external groups management

05/15/2014 01:47 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1640

  

Description

We will need API for external groups after #813 get's in.

Related issues:

Blocks Foreman - Tracker #5031: External authentication support New 04/02/2014

Blocked by Foreman - Feature #5241: Add support for external group mapping Closed 04/18/2014

Blocks Hammer CLI - Bug #6879: External user groups CLI Closed 08/01/2014

Associated revisions

Revision 4b2dffae - 08/07/2014 04:21 AM - Daniel Lobato Garcia

Fixes #5734 - API for external groups management

History

#1 - 05/15/2014 01:47 PM - Marek Hulán

- Blocked by Feature #813: Support AD group membership for authorization and authentication added

#2 - 05/15/2014 01:55 PM - Jan Pazdziora

Actually, the support for basic external groups definitions and mapping is already in develop (1.5, in fact) via 

http://projects.theforeman.org/issues/5241 and https://github.com/theforeman/foreman/pull/1390. So the relation table is there and API support for

manipulation of that mapping can go in independently of http://projects.theforeman.org/issues/813.

#3 - 05/15/2014 01:56 PM - Jan Pazdziora

- Blocks Tracker #5031: External authentication support added

#4 - 06/04/2014 01:44 PM - Dominic Cleal

- Blocked by deleted (Feature #813: Support AD group membership for authorization and authentication)

#5 - 06/04/2014 01:44 PM - Dominic Cleal

- Blocked by Feature #5241: Add support for external group mapping added

#6 - 06/04/2014 01:47 PM - Dominic Cleal

#813 adds a refresh action for external user groups, ensure this is added to the API.

#7 - 07/15/2014 01:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1588 added

#8 - 07/15/2014 01:51 PM - Daniel Lobato Garcia

- Assignee set to Daniel Lobato Garcia
#9 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#10 - 08/01/2014 04:47 AM - Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/1640 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1588)

#11 - 08/01/2014 06:52 AM - Dominic Cleal

- translation missing: en.field_release set to 10

Needed in 1.6 for UI/API parity.

#12 - 08/01/2014 06:53 AM - Dominic Cleal

- Blocks Bug #6879: External user groups CLI added

#13 - 08/07/2014 05:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4b2dffaede08779b374a671e4a7fa64aa5060887.
